Requests you can copy and run. Each one returns live data from the API.
Select the programming language you want to display the code examples in.
curl -X GET "https://api.houski.ca/map?api_key=YOUR_API_KEY&bbox_ne_lat=51.10&bbox_ne_lng=-113.90&bbox_sw_lat=50.90&bbox_sw_lng=-114.20&property_type_eq=House"
const houski_recipe_data = async (): Promise<MapResponse> => {
// You must copy the MapResponse type declarations from the
// Houski API documentation to strongly type the response
const url = new URL('https://api.houski.ca/map');
url.searchParams.set('api_key', 'YOUR_API_KEY');
url.searchParams.set('bbox_ne_lat', '51.10');
url.searchParams.set('bbox_ne_lng', '-113.90');
url.searchParams.set('bbox_sw_lat', '50.90');
url.searchParams.set('bbox_sw_lng', '-114.20');
url.searchParams.set('property_type_eq', 'House');
const response = await fetch(url);
const data = await response.json();
return data;
}
(async () => {
let data: MapResponse = await houski_recipe_data();
// Log the response
console.log(data);
})();
{
"aborted": false,
"cache_hit": true,
"cost_cents": 0.17999999,
"data": {
"clusters": [],
"heatmap": [],
"properties": [
{
"latitude": 50.99064,
"longitude": -113.90412,
"property_id": "17105c0b298c3230"
},
{
"latitude": 51.00025,
"longitude": -113.91066,
"property_id": "18b31aa75008aa59"
},
{
"latitude": 51.001926,
"longitude": -113.90464,
"property_id": "1cdd5a188a88b075"
},
{
"latitude": 50.984673,
"longitude": -113.90158,
"property_id": "1e0695c8d5f61712"
},
{
"latitude": 51.011486,
"longitude": -113.90528,
"property_id": "2100419aee100f47"
},
{
"latitude": 51.00025,
"longitude": -113.91066,
"property_id": "223872f584f39281"
}
]
},
"error": "",
"heatmap_aggregation_field": null,
"heatmap_aggregation_max_value": null,
"heatmap_aggregation_min_value": null,
"heatmap_aggregation_type": null,
"is_clusters": false,
"is_heatmap": false,
"is_heatmap_aggregation": null,
"is_heatmap_aggregation_invert_intensity": null,
"is_properties": true,
"pagination": {
"current_page": 1,
"has_next_page": true,
"has_previous_page": false,
"page_total": 27375
},
"price_quote": false,
"result_total": 164249,
"time_ms": 223
}